Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class LineAdjustment

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.quote.Adjustment
            |
            +--com.bea.commerce.ebusiness.price.quote.LineAdjustment

All Implemented Interfaces:
  Serializable

public class LineAdjustment
extends Adjustment
implements Serializable

A LineAdjustment is used to adjust the unit price of some quantity of a LineItem. One AdjustmentDetail is associated with a LineAdjustment and provides a description of the adjustment.

See Also:
  `Adjustment`, `AdjustmentDetail`, `LineItem`, `AdjustmentType`, Serialized Form

Field Summary
`static int` | `MAX_DETAILS` the maximum number of AdjustmentDetails per LineAdjustment

Fields inherited from class com.bea.commerce.ebusiness.price.quote.Adjustment
`details, isSet, type`

Constructor Summary
`protected` | `LineAdjustment()`
`` | `LineAdjustment(Money aBasePrice, LineItem parent)` AdjustmentType defaults to BASE_PRICE

Method Summary
`protected void` | `addDetail(AdjustmentDetail aDetail)` Do not allow the use of the superclass' addDetail( detail ) method.
`protected void` | `addDetail(int seqNumber, int qty, AdjustmentDetail aDetail)`
`protected void` | `computeAdjustmentAmount()` Computes the change in overall price represented by this LineAdjustment object.
`LineItem` | `getParent()` Returns the parent LineItem of this adjustment
`int` | `getQuantity()` Returns the quantity of items for this adjustment.
`Money` | `getTotal()` Returns the total value for this adjustment.
`protected void` | `init()` allocate permanent objects, called by super constructor
`protected void` | `reset()` reset created values, called by super set()
`void` | `set(Money aBasePrice, LineItem parent)` Sets the adjusment object values, clearing any old values
`String` | `toString()` Provides a string representation of this object.
`static String` | `toString(List adjustments)` Provides a string representation for a List of LineAdjustments.

Methods inherited from class com.bea.commerce.ebusiness.price.quote.Adjustment
`checkCurrency, checkCurrency, checkCurrency, getActualPrice, getAdjustmentAmount, getBasePrice, getCurrency, getDetails, getType, markModified, roundBasePrice, set, set, setActualPrice, setAdjustmentAmount, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_DETAILS

    public static final int MAX_DETAILS

  the maximum number of AdjustmentDetails per LineAdjustment

  See Also:
    Constant Field Values

Constructor Detail

### LineAdjustment

    protected LineAdjustment()

### LineAdjustment

    public LineAdjustment(Money aBasePrice,
                          LineItem parent)
                   throws QuoteException

  AdjustmentType defaults to BASE_PRICE

See Also:
  `AdjustmentType`

Method Detail

### set

    public void set(Money aBasePrice,
                    LineItem parent)
             throws QuoteException

  Sets the adjusment object values, clearing any old values

    `QuoteException`

### init

    protected void init()

  allocate permanent objects, called by super constructor

  Overrides:
    `init` in class `Adjustment`

### reset

    protected void reset()

  reset created values, called by super set()

  Overrides:
    `reset` in class `Adjustment`

### computeAdjustmentAmount

    protected void computeAdjustmentAmount()

  Computes the change in overall price represented by this LineAdjustment object. This method is overridden to handle quantity when calculating the adjustment amount. The adjusment amount is calculated as follows: (basePrice - actualPrice) * qty. This method is called everytime the setActualPrice() method is called and indirectly everytime the addDetail() method is invoked.

  Overrides:
    `computeAdjustmentAmount` in class `Adjustment`

### addDetail

    protected void addDetail(int seqNumber,
                             int qty,
                             AdjustmentDetail aDetail)
                      throws QuoteException

    `QuoteException`

### addDetail

    protected void addDetail(AdjustmentDetail aDetail)

  Do not allow the use of the superclass' addDetail( detail ) method.

  Overrides:
    `addDetail` in class `Adjustment`

### getParent

    public final LineItem getParent()

  Returns the parent LineItem of this adjustment

  See Also:
    `LineItem`

### getQuantity

    public final int getQuantity()

  Returns the quantity of items for this adjustment.

### getTotal

    public final Money getTotal()

  Returns the total value for this adjustment. More specifically, the total is actual unit price * quantity.

### toString

    public String toString()

  Provides a string representation of this object. This method is intended for debugging and may change at any time.

  Overrides:
    `toString` in class `Adjustment`

### toString

    public static String toString(List adjustments)

  Provides a string representation for a List of LineAdjustments. This method is intended for debugging and may change at any time.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved